--TEST--
whitespace-control #28 - blocks
--DESCRIPTION--
blocks - should strip whitespace around complex block calls
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{#if foo~}} bar {{~^}} baz {{/if}}';
$context = array();
$options = array();
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
 baz 