--TEST--
interpolation #8 - Ampersand Integer Interpolation
--DESCRIPTION--
Ampersand Integer Interpolation - Integers should interpolate seamlessly.
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '"{{&mph}} miles an hour!"';
$context = array(
        'mph' => 85,
    );
$options = array(
        'compat' => true,
    );
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
"85 miles an hour!"