--TEST--
inverted #4 - List
--DESCRIPTION--
List - Lists should behave like truthy values.
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '"{{^list}}{{n}}{{/list}}"';
$context = array(
        'list' => array(
            array(
                'n' => 1,
            ),
            array(
                'n' => 2,
            ),
            array(
                'n' => 3,
            ),
        ),
    );
$options = array(
        'compat' => true,
    );
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
""